Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common
Class FMLModContainer

    java.lang.Object
      cpw.mods.fml.common.FMLModContainer

All Implemented Interfaces:
  ModContainer

    public class FMLModContainer

extends Object
implements ModContainer

Constructor Summary
`FMLModContainer(String className, File modSource, Map<String,Object> modDescriptor)`

Method Summary
`VersionRange` | `acceptableMinecraftVersionRange()`
`void` | `bindMetadata(MetadataCollection mc)` Attach this mod to it's metadata from the supplied metadata collection
`void` | `constructMod(FMLConstructionEvent event)`
`List<ArtifactVersion>` | `getDependants()` A list of modids that should be loaded after this one.
`List<ArtifactVersion>` | `getDependencies()` A list of modids that should be loaded prior to this one.
`String` | `getDisplayVersion()`
`ModMetadata` | `getMetadata()` The metadata for this mod
`Object` | `getMod()` Get the actual mod object
`String` | `getModId()` The globally unique modid for this mod
`String` | `getName()` A human readable name
`ArtifactVersion` | `getProcessedVersion()`
`Set<ArtifactVersion>` | `getRequirements()` A list of the modids that this mod requires loaded prior to loading
`String` | `getSortingRules()` A representative string encapsulating the sorting preferences for this mod
`File` | `getSource()` The location on the file system which this mod came from
`String` | `getVersion()` A human readable version identifier
`void` | `handleModStateEvent(FMLStateEvent event)`
`boolean` | `isImmutable()`
`boolean` | `isNetworkMod()`
`boolean` | `matches(Object mod)` Does this mod match the supplied mod
`boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
`Properties` | `searchForVersionProperties()`
`void` | `setEnabledState(boolean enabled)` Set the enabled/disabled state of this mod

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FMLModContainer

    public FMLModContainer(String className,
                           File modSource,
                           Map<String,Object> modDescriptor)

Method Detail

### getModId

    public String getModId()

  Description copied from interface: `ModContainer`
  The globally unique modid for this mod

  Specified by:
    `getModId` in interface `ModContainer`

### getName

    public String getName()

  Description copied from interface: `ModContainer`
  A human readable name

  Specified by:
    `getName` in interface `ModContainer`

### getVersion

    public String getVersion()

  Description copied from interface: `ModContainer`
  A human readable version identifier

  Specified by:
    `getVersion` in interface `ModContainer`

### getSource

    public File getSource()

  Description copied from interface: `ModContainer`
  The location on the file system which this mod came from

  Specified by:
    `getSource` in interface `ModContainer`

### getMetadata

    public ModMetadata getMetadata()

  Description copied from interface: `ModContainer`
  The metadata for this mod

  Specified by:
    `getMetadata` in interface `ModContainer`

### bindMetadata

    public void bindMetadata(MetadataCollection mc)

  Description copied from interface: `ModContainer`
  Attach this mod to it's metadata from the supplied metadata collection

  Specified by:
    `bindMetadata` in interface `ModContainer`

### searchForVersionProperties

    public Properties searchForVersionProperties()

### setEnabledState

    public void setEnabledState(boolean enabled)

  Description copied from interface: `ModContainer`
  Set the enabled/disabled state of this mod

  Specified by:
    `setEnabledState` in interface `ModContainer`

### getRequirements

    public Set<ArtifactVersion> getRequirements()

  Description copied from interface: `ModContainer`
  A list of the modids that this mod requires loaded prior to loading

  Specified by:
    `getRequirements` in interface `ModContainer`

### getDependencies

    public List<ArtifactVersion> getDependencies()

  Description copied from interface: `ModContainer`
  A list of modids that should be loaded prior to this one. The special value * indicates to load before any other mod.

  Specified by:
    `getDependencies` in interface `ModContainer`

### getDependants

    public List<ArtifactVersion> getDependants()

  Description copied from interface: `ModContainer`
  A list of modids that should be loaded after this one. The special value * indicates to load after any other mod.

  Specified by:
    `getDependants` in interface `ModContainer`

### getSortingRules

    public String getSortingRules()

  Description copied from interface: `ModContainer`
  A representative string encapsulating the sorting preferences for this mod

  Specified by:
    `getSortingRules` in interface `ModContainer`

### matches

    public boolean matches(Object mod)

  Description copied from interface: `ModContainer`
  Does this mod match the supplied mod

  Specified by:
    `matches` in interface `ModContainer`

### getMod

    public Object getMod()

  Description copied from interface: `ModContainer`
  Get the actual mod object

  Specified by:
    `getMod` in interface `ModContainer`

### registerBus

    public boolean registerBus(com.google.common.eventbus.EventBus bus,
                               LoadController controller)

  Description copied from interface: `ModContainer`
  Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing

  Specified by:
    `registerBus` in interface `ModContainer`

### constructMod

    public void constructMod(FMLConstructionEvent event)

### handleModStateEvent

    public void handleModStateEvent(FMLStateEvent event)

### getProcessedVersion

    public ArtifactVersion getProcessedVersion()

  Specified by:
    `getProcessedVersion` in interface `ModContainer`

### isImmutable

    public boolean isImmutable()

  Specified by:
    `isImmutable` in interface `ModContainer`

### isNetworkMod

    public boolean isNetworkMod()

  Specified by:
    `isNetworkMod` in interface `ModContainer`

### getDisplayVersion

    public String getDisplayVersion()

  Specified by:
    `getDisplayVersion` in interface `ModContainer`

### acceptableMinecraftVersionRange

    public VersionRange acceptableMinecraftVersionRange()

  Specified by:
    `acceptableMinecraftVersionRange` in interface `ModContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD